package tech.nevets.jaml.util;

import tech.nevets.jaml.Config;
import tech.nevets.jaml.Launcher;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class JREDetector {

    public static void main(String[] args) {
        try {
            findJavaVersion();
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

    public static void findJavaVersion() throws IOException {
        String javaHomePath = System.getenv("JAVA_HOME");

        if (javaHomePath == null) {
            System.out.println("No java path found");
            return;
        }

        ProcessBuilder processBuilder = new ProcessBuilder();
        processBuilder.command(javaHomePath + "/bin/java.exe", "--version");
        Process process = processBuilder.start();

        BufferedReader reader = new BufferedReader(new InputStreamReader(process.getInputStream()));
        String line = "";
        while ((line = reader.readLine()) != null) {
            if (line.contains("18")) {
                return;
            } else if (line.contains("17")) {
                Config.setValue("java.jdk17", javaHomePath + "/bin");
            } else if (line.contains("16")) {
                Config.setValue("java.jdk16", javaHomePath + "/bin");
            } else if (line.contains("8")) {
                Config.setValue("java.jdk8", javaHomePath + "/bin");
            }
        }

        process.destroy();
    }
}
